#if !defined(AFX_NAVSPLITER_H__7EE5D88A_B8CD_496F_A7CC_4A517C10BEBE__INCLUDED_)
#define AFX_NAVSPLITER_H__7EE5D88A_B8CD_496F_A7CC_4A517C10BEBE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NavSpliter.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNavSpliter view

class CNavSpliter : public CSplitterWnd 
{
	friend class CChildFrame;
protected:
public:
	CNavSpliter();           // protected constructor used by dynamic creation
	virtual ~CNavSpliter();
	DECLARE_DYNCREATE(CNavSpliter)

// Attributes
public:

// Operations
public:


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNavSpliter)
	protected:
	//}}AFX_VIRTUAL

// Implementation
protected:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void DeleteRow( int rowDelete );
	virtual void DeleteColumn( int colDelete );
	virtual BOOL CreateScrollBarCtrl( DWORD dwStyle, UINT nID );

	// Generated message map functions
	//{{AFX_MSG(CNavSpliter)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NAVSPLITER_H__7EE5D88A_B8CD_496F_A7CC_4A517C10BEBE__INCLUDED_)
